CognitiveX Docs
API

POST /api/url/analyze

Analyze Url

POST /api/url/analyze

Analyze Url

Authentication: Authorization: Bearer <key> or X-API-Key: <key>. Create keys at developers.cognitivx.io/keys.

Parameters

NameInTypeRequiredDescription
X-Org-IDheaderstring | nullNo-

Request body

A JSON request body is required.

FieldTypeRequiredDescription
url_hashstring | nullNo-
urlstring | nullNo-
run_conflict_checkbooleanNoDefaults to true.
thresholdsobject | nullNo-

Example request

curl -X POST https://api.cognitivx.io/api/url/analyze \
  -H "Authorization: Bearer icog_..." \
  -H "Content-Type: application/json" \
  -d '{
    "url_hash": "https://example.com",
    "url": "https://example.com",
    "run_conflict_check": true,
    "thresholds": null
  }'

Example response

200 application/json

{
  "url_hash": "https://example.com",
  "chunks": [
    {
      "chunk_index": 1,
      "chunk_text": "Parsa prefers limit/offset pagination",
      "cls": "string",
      "top_similarity": 0.83,
      "matched": [
        {
          "memory_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
          "similarity": 0.83,
          "memory_type": "semantic",
          "text_preview": "Parsa prefers limit/offset pagination"
        }
      ],
      "conflict_reason": null,
      "conflict_confidence": null
    }
  ],
  "by_class": {}
}

Responses

StatusDescription
200Success. Returns the response body shown below.
422Request validation failed. detail lists each offending field.